Subject: bug#24197: Removing lisp/play from standard Emacs package

From: Marcin Borkowski <[email-masked]>
Date: Wed, 10 Aug 2016 19:06:12 +0200

On 2016-08-10, at 15:43, Otso Rajala <[email-masked]> wrote:

> Emacs is primarily used as a text editor. Toys shipped in lisp/play directory
> are fun, no question about that. Do they belong into core disribution of Emacs
> is another question.
>
> Problems:
> 1) They increase package size.
> 2) Their existence clutters M-x <tab> autocomplete lists: example M-x bu <tab>
> has all things buffer, but also shows bubbles and butterfly, hardly useful
> during editing process.

How am I supposed to do any serious coding without M-x butterfly???

> 3) Tools > Games is a bit confusing: games are not tools by definition.

Games are tools for solving problems with the developer's mood.

> 4) Help > Psychotherapist is toy in documentation menu.

That is clearly a mistake - psychotherapy is Serious Business.

> Advantage of solution:
> 1) All problems go away

This can also be accomplished with M-x doctor.  No need to tamper with
Emacs distro.

> 2) Simple lisp game sources now easily accessible right from common browser
> for fun & inspiration without having to download 56M tar.gz editor with them.

But in order to have a browser (eww), I have to download the editor anyway.

> 3) Fair towards other toys, considering sokoban and wpuzzle are there but don't
> ship by default.

Ah, I've got you here!  How much did the authors of sokoban and wpuzzle
pay you? ;-)

> - Otso

SNCR,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University